Arch Fence/ru: Difference between revisions

From FreeCAD Documentation
No edit summary
No edit summary
 
(13 intermediate revisions by 2 users not shown)
Line 1: Line 1:
<languages/>
<languages/>
<div class="mw-translate-fuzzy">
{{docnav/ru|[[Arch_Frame|Frame]]|[[Arch_Equipment|Equipement]]|[[Arch_Workbench|Arch]] | IconL=Arch_Frame.svg|IconC=Workbench_Arch.svg|IconR=Arch_Equipment.svg}}
</div>


{{Docnav/ru
<div class="mw-translate-fuzzy">
|[[Arch_Frame/ru|Каркас]]
{{GuiCommand/ru|Name=Arch Fence|Workbenches=[[Arch_Workbench|Arch]]|MenuLocation=Arch → Fence|Version=0.19}}
|[[Arch_Truss/ru|Ферма]]
</div>
|[[Arch_Workbench/ru|Архитектурный верстак "Arch"]]
|IconL=Arch_Frame.svg
|IconR=Arch_Truss.svg
|IconC=Workbench_Arch.svg
}}

{{GuiCommand/ru
|Name/ru=Ограждение
|Name=Arch_Fence
|MenuLocation=Arch → Ограждение
|Workbenches=[[Arch_Workbench/ru|Arch]]
|Version=0.19
}}


==Описание==
==Описание==
Line 14: Line 24:
[[Image:Arch Fence description example.png|600px]]
[[Image:Arch Fence description example.png|600px]]


==Применение==
<div class="mw-translate-fuzzy">
==Использование==
</div>


===Creating from scratch===
===Creating from scratch===
Line 34: Line 42:
==Свойства==
==Свойства==


=== Data ===
=== Данные ===

* {{PropertyData|Path}}: The path the fence should follow
* {{PropertyData|Path}}: The path the fence should follow
* {{PropertyData|Post}}: A single fence post to repeat
* {{PropertyData|Post}}: A single fence post to repeat
Line 41: Line 50:
* {{PropertyData|Number Of Sections}}: The total number of sections used to build the fence. This is calculated automatically.
* {{PropertyData|Number Of Sections}}: The total number of sections used to build the fence. This is calculated automatically.


=== View ===
=== Вид ===

* {{PropertyView|Use Original Colors}}: When set to {{TRUE}} the fence will use the colors from the original section and post. Otherwise the ShapeColor of the fence will be used to colorize the fence.
* {{PropertyView|Use Original Colors}}: When set to {{TRUE}} the fence will use the colors from the original section and post. Otherwise the ShapeColor of the fence will be used to colorize the fence.


==Примечания==
== Notes ==


* Arch Fence was introduced in FC v0.19 by user furti.
* Arch Fence was introduced in FC v0.19 by user furti.
* [https://forum.freecadweb.org/viewtopic.php?t=36149 Forum thread] discussing Arch Fence functionality
* [https://forum.freecadweb.org/viewtopic.php?t=36149 Forum thread] discussing Arch Fence functionality


==Программирование==
==Скрипты==


The Fence tool can be used in [[Macros|macros]] and from the [[Python|Python]] console by using the following function:
The Fence tool can be used in [[Macros|macros]] and from the [[Python|Python]] console by using the following function:
Line 57: Line 67:
}}
}}


Пример:
Example.


{{Code|code=
{{Code|code=
Line 89: Line 99:
}}
}}



<div class="mw-translate-fuzzy">
{{Docnav/ru
{{docnav/ru|[[Arch_Frame|Frame]]|[[Arch_Equipment|Equipment]]|[[Arch_Workbench|Arch]] | IconL=Arch_Frame.svg|IconC=Workbench_Arch.svg|IconR=Arch_Equipment.svg}}
|[[Arch_Frame/ru|Каркас]]
</div>
|[[Arch_Truss/ru|Ферма]]
|[[Arch_Workbench/ru|Архитектурный верстак "Arch"]]
|IconL=Arch_Frame.svg
|IconR=Arch_Truss.svg
|IconC=Workbench_Arch.svg
}}


{{Arch Tools navi{{#translation:}}}}
{{Arch Tools navi{{#translation:}}}}

Latest revision as of 17:40, 26 August 2022

Ограждение

Системное название
Arch_Fence
Расположение в меню
Arch → Ограждение
Верстаки
Arch
Быстрые клавиши
Нет
Представлено в версии
0.19
См. также
Нет

Описание

The Arch Fence is a object that builds a fence by repeating a single fence post and section along a given path.

Применение

Creating from scratch

  1. Use a workbench of your choice to create a single fence post and a single section.
  2. Create the path the fence should follow using the Sketcher Workbench or Draft Workbench.
  3. Switch back to the Arch Workbench.
  4. Select the section, post and path in exactly that order.
  5. Press the Arch Fence button

Опции

For now the tool assumes the following

  1. The Path is drawn on the XY-Plane
  2. Section and Post are drawn at the origin so that they stand upright in front view

Свойства

Данные

  • ДанныеPath: The path the fence should follow
  • ДанныеPost: A single fence post to repeat
  • ДанныеSection: A single section to repeat
  • ДанныеNumber Of Posts: The total number of posts used to build the fence. This is calculated automatically.
  • ДанныеNumber Of Sections: The total number of sections used to build the fence. This is calculated automatically.

Вид

  • ВидUse Original Colors: When set to true the fence will use the colors from the original section and post. Otherwise the ShapeColor of the fence will be used to colorize the fence.

Примечания

  • Arch Fence was introduced in FC v0.19 by user furti.
  • Forum thread discussing Arch Fence functionality

Программирование

The Fence tool can be used in macros and from the Python console by using the following function:

Fence = buildFence(section, post, path)

Пример:

import FreeCAD
import Part
import Arch

parts = []

parts.append(Part.makeBox(2000, 50, 30, FreeCAD.Vector(0, 0, 1000 - 30)))
parts.append(Part.makeBox(2000, 50, 30))
parts.append(Part.makeBox(20, 20, 1000 - 60, FreeCAD.Vector(0, 15, 30)))
parts.append(Part.makeBox(20, 20, 1000 - 60, FreeCAD.Vector(1980, 15, 30)))

for i in range(8):
    parts.append(Part.makeBox(20, 20, 1000 - 60, FreeCAD.Vector((2000 / 9 * (i + 1)) - 10, 15, 30)))

Part.show(Part.makeCompound(parts), "Fence_section")
fence_section = FreeCAD.ActiveDocument.Fence_section

sketch = FreeCAD.ActiveDocument.addObject("Sketcher::SketchObject", "Path")
sketch.Placement = FreeCAD.Placement(FreeCAD.Vector(0, 0, 0), FreeCAD.Rotation(0, 0, 0, 1))
sketch.addGeometry(Part.LineSegment(FreeCAD.Vector(0, 0, 0), FreeCAD.Vector(20000, 0, 0)), False)
sketch.addGeometry(Part.LineSegment(FreeCAD.Vector(20000, 0, 0), FreeCAD.Vector(20000, 20000, 0)), False)

post = Part.makeBox(100, 100, 1000, FreeCAD.Vector(0, 0, 0))
Part.show(post, "Post")
post = FreeCAD.ActiveDocument.Post

Fence = Arch.buildFence(fence_section, post, sketch)